<h2><%= _('Personal information') %></h2>

<%= required_fields_message %>

<div class="field-with-privacy-selector">
  <%= required f.text_field(:name) %>
  <div class="field-privacy-selector">
    <%= unchangeable_privacy_field @profile %>
  </div>
</div>

<div class="field-with-privacy-selector">
  <% if !@profile.oauth_providers.first.nil? %>
    <% readonly = !@profile.oauth_providers.first.allow_email_change %>
  <% end %>
  <% readonly ||= false %>
  <% if readonly %>
    <%= required f.text_field(:email, :readonly => true, :style => "background: #0000004d; opacity: 0.7;") %>
  <% else %>
    <%= required f.text_field(:email) %>
  <% end %>
  <div class="field-privacy-selector">
    <%= profile_field_privacy_selector @profile, 'email' %>
  </div>
</div>

<%= render :partial => 'shared/profile_kinds', :locals => {:form_field => 'profile_data'} %>

<%= render :partial => 'change_identifier', :locals => {feature_name: :enable_profile_url_change} %>

<%= safe_join(@plugins.dispatch(:profile_info_extra_contents).collect { |content| instance_exec(&content) }, "") %>

<div class="formfieldline">
  <%= label_tag("private_token", _("Private Token")) %>
  <div class="formfield type-text">
    <%= text_field_tag("a", @profile.user.private_token, :size => 30) %>
  </div>
</div>

<%= button(:reload, _("Reset token"), {:controller => :profile_editor, :action => :reset_private_token, :id => @profile.id}) %>

<%= render :partial => 'person_form', :locals => {:f => f, :editing_profile => true} %>
<%= render :partial => 'shared/custom_fields', :locals => {:f => f, :profile => @profile, :editing_profile => true} %>
